실수(!)로 욕심에 JavaSE-1.7로 했더니
(XP에 jdk1.8이 안깔려서 압축풀고 c:\Program files\java\jdk1.8.0_1에 복사해줌)

아래와 같이 프로젝트를 컴파일 할 수 없다고 에러를 발생한다.


Project - Properties - Java Build Path - Libraries
JRE System Library - Edit을 눌러 확인하니
(unbound)라고 나오며 실행환경이 발견되지 않는다고 한다.


JavsSE-1.6(jre6) 로 설정하니 문제 해결!
그런데.. JRE6은 언제 깔려있던 거지? -_-a

+ 추측이지만.. C:\Program Files\Java 하위를 검색해서 javac를 자동으로 찾는 것 같다.

'프로그램 사용 > eclipse' 카테고리의 다른 글

eclipse + quantumDB plugin + jdbc driver  (0) 2014.04.01
ECJ - Eclipse Compiler for Java  (0) 2014.03.25
eclipse JRE 설정하기  (0) 2014.03.20
eclipse command argument 가 이상해!  (2) 2014.03.13
eclipse JWT / SWING UI 디자이너  (0) 2014.03.10
eclipse JDT + javadoc  (0) 2014.03.10
Posted by 구차니

댓글을 달아 주세요